IOSS 2.0

Functions | Variables
anonymous_namespace{Ioss_DatabaseIO.C} Namespace Reference

## Functions
void | log_time (std::chrono::time_point< std::chrono::high_resolution_clock > &start, std::chrono::time_point< std::chrono::high_resolution_clock > &finish, int current_state, double state_time, bool is_input, bool single_proc_only, const Ioss::ParallelUtils &util)
void | log_field (const char *symbol, const Ioss::GroupingEntity *entity, const Ioss::Field &field, bool single_proc_only, const Ioss::ParallelUtils &util)
bool | internal_parallel_consistent (bool single_proc_only, const Ioss::GroupingEntity *ge, const Ioss::Field &field, int in_out, const Ioss::ParallelUtils &util)
double | my_min (double x1, double x2)
double | my_max (double x1, double x2)
template<typename INT >
void | calc_bounding_box (size_t ndim, size_t node_count, std::vector< double > &coordinates, std::vector< INT > &connectivity, double &xmin, double &ymin, double &zmin, double &xmax, double &ymax, double &zmax)

## Variables
auto | initial_time = std::chrono::high_resolution_clock::now()

## Function Documentation

## ◆ calc_bounding_box()

template<typename INT >

void anonymous_namespace{Ioss_DatabaseIO.C}::calc_bounding_box | ( | size_t | ndim,
|  | size_t | node_count,
|  | std::vector< double > & | coordinates,
|  | std::vector< INT > & | connectivity,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | zmin,
|  | double & | xmax,
|  | double & | ymax,
|  | double & | zmax
| ) |  |

## ◆ internal_parallel_consistent()

bool anonymous_namespace{Ioss_DatabaseIO.C}::internal_parallel_consistent | ( | bool | single_proc_only,
|  | const Ioss::GroupingEntity * | ge,
|  | const Ioss::Field & | field,
|  | int | in_out,
|  | const Ioss::ParallelUtils & | util
| ) |  |

## ◆ log_field()

void anonymous_namespace{Ioss_DatabaseIO.C}::log_field | ( | const char * | symbol,
|  | const Ioss::GroupingEntity * | entity,
|  | const Ioss::Field & | field,
|  | bool | single_proc_only,
|  | const Ioss::ParallelUtils & | util
| ) |  |

## ◆ log_time()

void anonymous_namespace{Ioss_DatabaseIO.C}::log_time | ( | std::chrono::time_point< std::chrono::high_resolution_clock > & | start,
|  | std::chrono::time_point< std::chrono::high_resolution_clock > & | finish,
|  | int | current_state,
|  | double | state_time,
|  | bool | is_input,
|  | bool | single_proc_only,
|  | const Ioss::ParallelUtils & | util
| ) |  |

## ◆ my_max()

double anonymous_namespace{Ioss_DatabaseIO.C}::my_max | ( | double | x1,
|  | double | x2
| ) |  |

## ◆ my_min()

double anonymous_namespace{Ioss_DatabaseIO.C}::my_min | ( | double | x1,
|  | double | x2
| ) |  |

## Variable Documentation

## ◆ initial_time

auto anonymous_namespace{Ioss_DatabaseIO.C}::initial_time = std::chrono::high_resolution_clock::now()